Groovy Documentation

## org.codehaus.groovy.util
[Java] Class ManagedDoubleKeyMap.Entry

    java.lang.Object
      org.codehaus.groovy.util.ManagedDoubleKeyMap.Entry

All Implemented Interfaces:
  Entry

    public static class ManagedDoubleKeyMap.Entry

Constructor Summary
`ManagedDoubleKeyMap.Entry(ReferenceBundle bundle, K1 key1, K2 key2, int hash, Segment segment)`

Method Summary
`void` | `clean()`
`int` | `getHash()`
`java.lang.Object` | `getValue()`
`boolean` | `isEqual(K1 key1, K2 key2, int hash)`
`boolean` | `isValid()`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ManagedDoubleKeyMap.Entry

    public ManagedDoubleKeyMap.Entry(ReferenceBundle bundle, K1 key1, K2 key2, int hash, Segment segment)

Method Detail

### clean

    public void clean()

### getHash

    public int getHash()

### getValue

    public java.lang.Object getValue()

### isEqual

    public boolean isEqual(K1 key1, K2 key2, int hash)

### isValid

    public boolean isValid()

### setValue

    public void setValue(java.lang.Object value)

Groovy Documentation